Name:           cpptest
Version:        1.1.1
Release:        1%{?dist}
Summary:        A portable and powerful and simple unit testing framework for C++

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://%{name}.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         cpptest-1.1.0-libcpptest_pc_in.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  doxygen

%description
CppTest is a portable and powerful, yet simple, unit testing framework
for handling automated tests in C++. The focus lies on usability and
extendability.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .libcpptest_pc_in

%build
%configure --disable-static --enable-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Not useful. Aready present in html and images folder
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/html/screenshot*png
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/html/index.html
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/html/html-example.html


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc NEWS COPYING AUTHORS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> 1.1.1-1
- Updated to 1.1.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.1.0-3
- Remove check section.

* Tue Mar 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.1.0-2
- Commented testsuite. Patched .pc file, fixed spacing and tab mix
- Removed image folder in %%doc

* Fri Mar 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.1.0-1
- Initial package
